<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/ll_content"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    app:layout_constraintBottom_toBottomOf="parent"
    app:layout_constraintTop_toBottomOf="@id/fl_top">

    <LinearLayout
        android:id="@+id/ll_date"
        android:layout_width="wrap_content"
        android:layout_height="43dp"
        android:layout_gravity="center_horizontal"
        android:layout_marginTop="21dp"
        android:background="@drawable/bg_corners_f6f7fb">

        <ImageView
            android:layout_width="19dp"
            android:layout_height="19dp"
            android:layout_gravity="center_vertical"
            android:layout_marginStart="20dp"
            android:src="@drawable/date"
            tools:ignore="ContentDescription" />

        <TextView
            android:id="@+id/tv_date"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:layout_marginHorizontal="9dp"
            android:gravity="center"
            android:textColor="#000000"
            android:textSize="15sp"
            tools:text="Today（2024/05/07）" />

        <ImageView
            android:layout_width="17dp"
            android:layout_height="17dp"
            android:layout_gravity="center_vertical"
            android:layout_marginEnd="20dp"
            android:src="@drawable/bxiala_x"
            tools:ignore="ContentDescription" />
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="27dp"
        android:gravity="center"
        android:orientation="horizontal">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/cl_launches"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content">

            <ImageView
                android:id="@+id/iv_launches_border"
                android:layout_width="98dp"
                android:layout_height="65dp"
                android:layout_marginBottom="8dp"
                android:background="@drawable/bg_stroke_e3e5ea"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                tools:ignore="ContentDescription" />


            <ImageView
                android:id="@+id/iv_launches_triangle"
                android:layout_width="8dp"
                android:layout_height="10dp"
                android:src="@drawable/triangle_down"
                android:visibility="gone"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                tools:ignore="ContentDescription" />


            <LinearLayout
                android:layout_width="59dp"
                android:layout_height="35dp"
                android:orientation="vertical"
                app:layout_constraintBottom_toBottomOf="@id/iv_launches_border"
                app:layout_constraintEnd_toEndOf="@id/iv_launches_border"
                app:layout_constraintStart_toStartOf="@id/iv_launches_border"
                app:layout_constraintTop_toTopOf="@id/iv_launches_border">

                <TextView
                    android:id="@+id/tv_launches_number"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:textSize="15sp"
                    tools:text="180" />

                <TextView
                    android:id="@+id/tv_launches"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:text="@string/launches_hump"
                    android:textColor="#999999"
                    android:textSize="12sp" />

            </LinearLayout>


        </androidx.constraintlayout.widget.ConstraintLayout>

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:layout_marginHorizontal="10dp"
            android:text="="
            android:textColor="#999999"
            tools:ignore="HardcodedText" />

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/cl_foreground"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content">

            <ImageView
                android:id="@+id/iv_foreground_border"
                android:layout_width="98dp"
                android:layout_height="65dp"
                android:layout_marginBottom="8dp"
                android:background="@drawable/bg_stroke_e3e5ea"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                tools:ignore="ContentDescription" />

            <ImageView
                android:id="@+id/iv_foreground_triangle"
                android:layout_width="8dp"
                android:layout_height="10dp"
                android:src="@drawable/triangle_down"
                android:visibility="gone"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                tools:ignore="ContentDescription" />

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                app:layout_constraintBottom_toBottomOf="@id/iv_foreground_border"
                app:layout_constraintEnd_toEndOf="@id/iv_foreground_border"
                app:layout_constraintStart_toStartOf="@id/iv_foreground_border"
                app:layout_constraintTop_toTopOf="@id/iv_foreground_border">

                <TextView
                    android:id="@+id/tv_foreground_number"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:textSize="15sp"
                    tools:text="180" />

                <TextView
                    android:id="@+id/tv_foreground"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:text="@string/foreground"
                    android:textColor="#999999"
                    android:textSize="12sp" />

            </LinearLayout>


        </androidx.constraintlayout.widget.ConstraintLayout>

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:layout_marginHorizontal="10dp"
            android:text="+"
            android:textColor="#999999"
            tools:ignore="HardcodedText" />

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/cl_background"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content">

            <ImageView
                android:id="@+id/iv_background_border"
                android:layout_width="98dp"
                android:layout_height="65dp"
                android:layout_marginBottom="8dp"
                android:background="@drawable/bg_stroke_e3e5ea"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                tools:ignore="ContentDescription" />

            <ImageView
                android:id="@+id/iv_background_triangle"
                android:layout_width="8dp"
                android:layout_height="10dp"
                android:src="@drawable/triangle_down"
                android:visibility="gone"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                tools:ignore="ContentDescription" />

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                app:layout_constraintBottom_toBottomOf="@id/iv_background_border"
                app:layout_constraintEnd_toEndOf="@id/iv_background_border"
                app:layout_constraintStart_toStartOf="@id/iv_background_border"
                app:layout_constraintTop_toTopOf="@id/iv_background_border">

                <TextView
                    android:id="@+id/tv_background_number"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:textSize="15sp"
                    tools:text="180" />

                <TextView
                    android:id="@+id/tv_background"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:text="@string/background"
                    android:textColor="#999999"
                    android:textSize="12sp" />

            </LinearLayout>


        </androidx.constraintlayout.widget.ConstraintLayout>

    </LinearLayout>

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/rv"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="20dp"
        app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager" />
</LinearLayout>